Update penalties
curl --request PUT \
--url https://api.yume.cloud/v1/crm/requests/penalties/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": 123,
"schedules": [
{
"date": "2023-11-07T05:31:56Z",
"amount": "<string>",
"id": 123
}
],
"amount": "<string>",
"amount_paid": "<string>",
"reason": "<string>",
"custom": true,
"tenant": 123,
"client": 123,
"request_inventory": 123,
"penalty": 123
}
'import requests
url = "https://api.yume.cloud/v1/crm/requests/penalties/{id}/"
payload = {
"request": 123,
"schedules": [
{
"date": "2023-11-07T05:31:56Z",
"amount": "<string>",
"id": 123
}
],
"amount": "<string>",
"amount_paid": "<string>",
"reason": "<string>",
"custom": True,
"tenant": 123,
"client": 123,
"request_inventory": 123,
"penalty": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: 123,
schedules: [{date: '2023-11-07T05:31:56Z', amount: '<string>', id: 123}],
amount: '<string>',
amount_paid: '<string>',
reason: '<string>',
custom: true,
tenant: 123,
client: 123,
request_inventory: 123,
penalty: 123
})
};
fetch('https://api.yume.cloud/v1/crm/requests/penalties/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": 0,
"created_by": 123,
"request": 123,
"schedules": [
{
"date": "2023-11-07T05:31:56Z",
"amount": "<string>",
"id": 123
}
],
"amount": "<string>",
"amount_paid": "<string>",
"reason": "<string>",
"custom": true,
"tenant": 123,
"client": 123,
"request_inventory": 123,
"penalty": 123
}penalties
Update penalties
PUT
/
v1
/
crm
/
requests
/
penalties
/
{id}
/
Update penalties
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Maximum string length:
512Ответ
200 - application/json
0- Автоматический1- Вручную
Доступные опции:
0, 1 Show child attributes
Show child attributes
Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Maximum string length:
512